Subject: RE: termios control in cygwin
From: "Philippe Noel" <[email-masked]>
To: "Cygwin-List" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 11 Aug 1999 16:56:23 -0400

> On Mon, Aug 09, 1999 at 03:03:42PM -0400, Philippe Noel wrote:
> >> I'm trying to access the serial/console port from a gcc/cygwin
> >> program. I've discovered that cygwin never returns on reads (when
> >> there's no char input of course), even when struct termio's
> >> c_cc[VTIME] is set to a positive integer. I suppose this is a bug -
> >> does anyone have a clue?
> >>
> >
> >I'm really interested for ANY answers about this.  I've exactly the same
> >problem.  My application seems to stick in the read function.
> Anybody ever
> >experienced this?
> >
> >I tried downloading the latest cygwin1.dll, but it makes my applications
> >print error messages about the dll version, and stop.
> >
> >Any other idea?
>
> Yes.  Only use one version of the DLL on your system.  That's what the
> error message was trying to tell you.  Rename the older DLL to something
> besides cygwin1.dll.

Sure.  That's what I've done.  But it still print the same error message.
BTW, I've this message for some shell applications like this:

bash-2.02$ pwd
D:\Cygwin-root\bin\pwd.exe: *** conflicting versions of cygwin1.dll
detected.  Use only the most recent version.

I don't understand this message because the DLL I use *is* the most
recent...   :-S

Philippe Noel

--
Want to unsubscribe from this list?
Send a message to [email-masked]